Missing gtk-config while blding gvim w/ gtk

Missing gtk-config while blding gvim w/ gtk

Post by Ramesh Nataraj » Sat, 12 Oct 2002 23:49:22



Hi , Iam in the process of building gvim with with GTK (I get some
errors linking with the default Motif and decided to try GTK instead)

I already downloaded and installed the following (all in default path
/usr/local)

pkgconfig-0.12.0
glib-2.0.6
pango-1.0.4
atk-1.0.3
tiff-v3.5.6-beta
libpng-1.2.5
jpeg-6b
gtk+-2.0.6

gtk+ compiled and installed with no errors.

When I try the vim61 configure with

./configure --enable-cscope --enable-gui=gtk
--with-gtk-prefix=/usr/local --enable-perlinterp

I see the following error:

checking --enable-gui argument... GTK GUI support
checking --with-gtk-prefix argument... /usr/local
checking --with-gtk-exec-prefix argument... no
checking --disable-gtktest argument... gtk test enabled
Using GTK configuration program /usr/local/bin/gtk-config
checking for GTK - version >= 1.1.16... auto/configure:
/usr/local/bin/gtk-config: not found
auto/configure: /usr/local/bin/gtk-config: not found
auto/configure: /usr/local/bin/gtk-config: not found
auto/configure: /usr/local/bin/gtk-config: not found
auto/configure: /usr/local/bin/gtk-config: not found

Sure enough I donot have gtk-config in /usr/local/bin. I did a find in
my gtk+ source dir and I donot see any gtk-config files there either.
This results in config.in without GUI

Part of src/auto/config.mk:

### Do we have a GUI
GUI_INC_LOC     =
GUI_LIB_LOC     =
GUI_SRC         = $(NONE_SRC)
GUI_OBJ         = $(NONE_OBJ)
GUI_DEFS        = $(NONE_DEFS)
GUI_IPATH       = $(NONE_IPATH)
GUI_LIBS_DIR    = $(NONE_LIBS_DIR)
GUI_LIBS1       = $(NONE_LIBS1)
GUI_LIBS2       = $(NONE_LIBS2)
GUI_TARGETS     = $(NONE_TARGETS)
GUI_MAN_TARGETS = $(NONE_MAN_TARGETS)
GUI_TESTTARGET  = $(NONE_TESTTARGET)
NARROW_PROTO    =
GUI_X_LIBS      =
MOTIF_LIBNAME   =
GTK_LIBNAME     =

Can someone please point to me how I can get over it?

Thanks, nram

 
 
 

Missing gtk-config while blding gvim w/ gtk

Post by Sam Benne » Tue, 15 Oct 2002 12:01:37



Quote:> Hi , Iam in the process of building gvim with with GTK (I get some
> errors linking with the default Motif and decided to try GTK instead)

> I already downloaded and installed the following (all in default path
> /usr/local)

> pkgconfig-0.12.0
> glib-2.0.6
> pango-1.0.4
> atk-1.0.3
> tiff-v3.5.6-beta
> libpng-1.2.5
> jpeg-6b
> gtk+-2.0.6

I don't think glib 2+ or gtk 2 build ok on solaris yet. I had the same
problem. I ended up using 1.2 versions of these libraries.

 
 
 

Missing gtk-config while blding gvim w/ gtk

Post by Ramesh Nataraj » Wed, 16 Oct 2002 05:23:02





> > Hi , Iam in the process of building gvim with with GTK (I get some
> > errors linking with the default Motif and decided to try GTK instead)

> > I already downloaded and installed the following (all in default path
> > /usr/local)

> > pkgconfig-0.12.0
> > glib-2.0.6
> > pango-1.0.4
> > atk-1.0.3
> > tiff-v3.5.6-beta
> > libpng-1.2.5
> > jpeg-6b
> > gtk+-2.0.6

> I don't think glib 2+ or gtk 2 build ok on solaris yet. I had the same
> problem. I ended up using 1.2 versions of these libraries.

Thanks for your comments. But, I could run all the gtk test programs
with no problem though. I'll try with 1.2 to see if if helps.

Thanks, nram

 
 
 

Missing gtk-config while blding gvim w/ gtk

Post by Ramesh Nataraj » Wed, 16 Oct 2002 07:46:14


Thanks Sam. You are right. I could build gvim with GLIB & GTK 1.2.

Thanks for your help.
nram




> > Hi , Iam in the process of building gvim with with GTK (I get some
> > errors linking with the default Motif and decided to try GTK instead)

> > I already downloaded and installed the following (all in default path
> > /usr/local)

> > pkgconfig-0.12.0
> > glib-2.0.6
> > pango-1.0.4
> > atk-1.0.3
> > tiff-v3.5.6-beta
> > libpng-1.2.5
> > jpeg-6b
> > gtk+-2.0.6

> I don't think glib 2+ or gtk 2 build ok on solaris yet. I had the same
> problem. I ended up using 1.2 versions of these libraries.

 
 
 

Missing gtk-config while blding gvim w/ gtk

Post by Uwe Wolfra » Wed, 16 Oct 2002 03:01:05





> > Hi , Iam in the process of building gvim with with GTK (I get some
> > errors linking with the default Motif and decided to try GTK instead)

> > I already downloaded and installed the following (all in default path
> > /usr/local)

> > pkgconfig-0.12.0
> > glib-2.0.6
> > pango-1.0.4
> > atk-1.0.3
> > tiff-v3.5.6-beta
> > libpng-1.2.5
> > jpeg-6b
> > gtk+-2.0.6

> I don't think glib 2+ or gtk 2 build ok on solaris yet. I had the same
> problem. I ended up using 1.2 versions of these libraries.

I managed to compile all of them with Sun's cc, alas - if I recall
correctly - I had to tweak the code here and there, but don't ask me
any details! pkgconfig-0.13.0 is the most recent one - at least this
compiles out of the box as do tiff, libpng (Makefile tweaks), jpeg.

Uwe

--
Anti-spam measure: Remove "duMMy." from above address to obtain correct one

 
 
 

1. GTK-config file missing! (?)

Hi all-

I installed gnome 99.8 today, after upgrading all the libs and
downloading RPMs from latest/ on ftp.gnome.org. Enlightment/Gnome runs
nicely, no problems I have run into. But here is my problem:

I am trying to install other gnome-compliant software, in particular an
ICQ client. I have downloaded both GICQ and GtkICQ, and both give me the
same error when I try to run configure (before make). They both look for
a version of gtk+ greater than 1.0.x, and are unable to verify it's
existence. It appears they are both looking for a gtk-config file. Well,
I have gtk+ 1.1.15, but no gtk-config file.

Any suggestions?

Luke

2. Promise Disk Accelerator

3. gtk-config glib-config and configure

4. potato with reiserfs.....

5. glib-config, gtk-config

6. Webserver Tomcat running, not connectable by Windows home based PC

7. Gtk font dialog discriminates? / gvim font trouble

8. SETTERM problem

9. can't compile gnome - "'gtk-config' script not found"

10. gtk-config not found?

11. gtk-config

12. Problem with gtk-config

13. GNOME - gtk-config